(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.mygallery', {
		// creates control instances based on the control's id.
		// our button's id is &quot;mygallery_button&quot;
		createControl : function(id, controlManager) {
			if (id == 'mygallery_button') {
				// creates the button
				var button = controlManager.createButton('mygallery_button', {
					title  : 'MyGallery Shortcode', // title of the button
					image  : 'http://localhost/dt/seniori/wp-includes/images/smilies/icon_mrgreen.gif', // path to the button's image
					onclick: function() {
						// do something when the button is clicked :)
					}
				});

				return button;
			}

			return null;
		}
	});

	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('mygallery', tinymce.plugins.mygallery);
})();